Waarom sites niet automatisch wilden updaten naar WordPress 4.9.6

WordPress 4.9.6

Twee weken geleden werd WordPress 4.9.6 uitgerold. Het was een zogeheten minor release, en deze triggeren doorgaans het automatische update systeem van WordPress. Veel gebruikers vroegen zich dan ook af waarom hun websites dit keer niet automatisch wilden updaten naar versie 4.9.6. Wat bleek? Het WordPress Development Team had het auto update systeem uitgeschakeld, nadat zij hadden ontdekt dat een aantal plugins de nieuwe privacy features niet op de juiste manier laadden en fatale 500 foutmeldingen aan de frontend triggerden.

Privacy code in WordPress 4.9.6

De oorzaak van het probleem ligt bij een privacy code die een bestand bevat waarvan niet verwacht werd dat het geladen zou worden zonder de rest van de WordPress admin. Mika Epstein (van het WordPress Plugin Review team) heeft persoonlijk contact opgenomen met de betreffende plugin ontwikkelaars om het probleem op te lossen. De nieuwe privacy features zijn de belangrijkste wijziging in de nieuwe WordPress update, vooral nu de nieuwe Algemene Verordening Gegevensbescherming (AVG) van kracht is.

Lees ook: 5 WordPress plugins om je site AVG-proof te maken

WordPress 4.9.7

Een recente scan van de WordPress plugin directory laat zien dat er geen andere plugins zijn die de privacy code verkeerd laden. Automatische updates blijven voor WordPress 4.9.6 echter uitgeschakeld, tot de lancering van WordPress 4.9.7. Vanaf die versie zullen WordPress sites weer gewoon automatisch updaten. WordPress 4.9.7 zal het hierboven beschreven probleem oplossen en ook een aantal andere bug fixes bevatten. Omdat automatische updates pas met versie 4.9.7 weer worden ingeschakeld, moeten de WordPress sites die op versie 4.9.5 draaien automatisch updaten naar 4.9.7 zodra deze beschikbaar is.

WordPress 4.9.7 zal naar verwachting ergens deze week uitkomen.

Voldoet jouw website wel aan alle regels van de nieuwe Europese privacy verordening? Doe de gratis GDPR scan voor je WordPress website en je weet het zeker!

 

 

Geef een reactie